<!-- This example requires Tailwind CSS v2.0+ -->
<template>
  <Disclosure as="nav" class="bg-green-600" v-slot="{ open }">
    <div class="max-w-7xl mx-auto px-2 sm:px-6 lg:px-8">
      <div class="relative flex items-center justify-between h-16">
        <div class="absolute inset-y-0 left-0 flex items-center sm:hidden">
          <!-- Mobile menu button-->
          <DisclosureButton class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-white hover:bg-gray-700 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-white">
            <span class="sr-only">Open main menu</span>
            <MenuIcon v-if="!open" class="block h-6 w-6" aria-hidden="true" />
            <XIcon v-else class="block h-6 w-6" aria-hidden="true" />
          </DisclosureButton>
        </div>
        
     
      </div>
    </div>

   
  </Disclosure>
</template>

<script >
import { defineComponent } from 'vue'
import { Disclosure, DisclosureButton } from '@headlessui/vue'
import {  MenuIcon, XIcon } from '@heroicons/vue/outline'

export default defineComponent({
    components: {
    Disclosure, DisclosureButton, MenuIcon, XIcon
  },
  setup() {
    // const store = useStore();
    // do stuff

    return {
    //   store,
    }
  }
})
</script>